品牌语调变体的语言区域已被占用

Moses Skoda工程师预计阅读 1 分钟

API 会以 409 Conflict 响应并报告此问题。其 type 为 https://lingo.dev/docs/api/errors/brand-voice-variation-locale-taken。所有错误的通用结构请参阅错误和状态码。

此品牌语调已有适用于 <targetLocale> 的变体。每个品牌语调在每个目标语言区域只能有一个变体。请改为更新现有变体。

字段#

除标准的 type、status、title 和 detail 成员外,响应体还包含以下字段。detail 文本由这些字段生成,客户端也可以据此显示自定义文本。

字段类型
targetLocalestring

示例#

json
{
  "detail": "This brand voice already has a variation for <targetLocale>. A voice carries one variation per target locale. Update the existing one instead.",
  "targetLocale": "<targetLocale>",
  "type": "https://lingo.dev/docs/api/errors/brand-voice-variation-locale-taken",
  "status": 409,
  "title": "Brand voice variation locale taken"
}

返回此错误的端点#

  • PATCH /v2/brand-voice-variations/{id}
  • POST /v2/brand-voices/{brandVoiceId}/variations